Developers

Update customer receipt

2 min read
Try this endpoint live with your API key.
PUT
Update customer receipt
Update a manual customer receipt by id.
https://api.tablelist.com/2025-03/customers/{customerId}/receipts/{receiptId}
Authorization
Path Parameters
Header Parameters
Request Body
cURL
curl --request PUT \ \
  --url "https://api.tablelist.com/2025-03/customers/{customerId}/receipts/{receiptId}"
Response
Run a request to see the response.

Update a manual customer receipt by id.

  • Method: PUT
  • Path: /customers/{customerId}/receipts/{receiptId}
  • Operation ID: updateCustomerReceipt
  • Tags: Customers

Path Parameters

NameTypeRequiredDescription
customerIdstringYes
receiptIdstringYes

Header Parameters

NameTypeRequiredDescription
x-tl-api-keystringYes

Request Body

application/json

Schema: object

FieldTypeRequiredDescription
namestringNoReceipt display name
datestringNoOptional receipt date in UTC
descriptionstringNoOptional notes for this receipt
amountnumberNoReceipt amount in venue currency
orderTypestringNoOrder type
countAsVisitbooleanNoWhen true, this receipt contributes to visit count and visit dates

Responses

200

Updated customer response object.

  • Content-Type: application/json
    • Schema: object
FieldTypeRequiredDescription
namestringNo
emailstringNo
phonestringNo
birthdaystringNo
statsobjectNo
flagsobjectNo
socialobjectNo
marketingOptInbooleanNo
marketingOptInDatestringNo
marketingOptInSignaturestringNo
notesstringNo
tagsarray<string>No
receiptsarray<object>NoCustomer manual receipts

default

unexpected error

  • Content-Type: application/json
    • Schema: object
FieldTypeRequiredDescription
messagestringYes
errorsarray<object>Yes
errorDataobjectNo